com.h3c.util.pkt

## Enum IpTosEcn

- java.lang.Object
- - java.lang.Enum<IpTosEcn>
  - - com.h3c.util.pkt.IpTosEcn

- All Implemented Interfaces:
    ProtocolEnum, Serializable, Comparable<IpTosEcn>

      public enum IpTosEcn
      extends Enum<IpTosEcn>
      implements ProtocolEnum

  IP TOS Explicit Congestion Notification (ECN) types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CE` Congestion Experienced.
    `ECT_0` ECT_Capable Transport 0.
    `ECT_1` ECT-Capable Transport 1.
    `NOT_ECT` Not ECT-Capable Transport.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `code()` Returns the code value for the enumeration constant.
    `static IpTosEcn` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IpTosEcn[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_ECT

          public static final IpTosEcn NOT_ECT

      Not ECT-Capable Transport.

    - #### ECT_1

          public static final IpTosEcn ECT_1

      ECT-Capable Transport 1.

    - #### ECT_0

          public static final IpTosEcn ECT_0

      ECT_Capable Transport 0.

    - #### CE

          public static final IpTosEcn CE

      Congestion Experienced.

  - ### Method Detail

    - #### values

          public static IpTosEcn[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IpTosEcn c : IpTosEcn.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IpTosEcn valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### code

          public int code()

      Description copied from interface: `ProtocolEnum`
      Returns the code value for the enumeration constant.
      Specified by:
        `code` in interface `ProtocolEnum`
      Returns:
        the code value

Copyright © 2014. All Rights Reserved.